# TTTT Analysis: fv::root::_Counter< V, D > Class Template Reference

fv::root::_Counter< V, D > Class Template Reference
Inheritance diagram for fv::root::_Counter< V, D >:
[legend]
Collaboration diagram for fv::root::_Counter< V, D >:
[legend]

## Public Member Functions

| _Counter (const std::string &name, Value< V > *value)
void | save_as (const std::string &fname, const SaveOption &option=SaveOption::PNG)
Public Member Functions inherited from fv::Container< std::map< D, int > >
| Container (const std::string &name, std::map< D, int > *container)
virtual std::map< D, int > * | get_container ()
Public Member Functions inherited from fv::GenContainer
| GenContainer (const std::string name, const std::string &desc)
| GenContainer (const std::string name)
void | add_filter (GenValue *filter)
void | fill ()
void | set_description (const std::string &description)
const std::string & | get_name ()
virtual void | save (const SaveOption &option=SaveOption::PNG)

## Protected Attributes

Value< V > * | value
Protected Attributes inherited from fv::Container< std::map< D, int > >
std::map< D, int > * | container

## Additional Inherited Members

Protected Member Functions inherited from fv::GenContainer
virtual void | _fill ()=0

The documentation for this class was generated from the following file:

- /home/caleb/Sources/TTTT/filval_root/container.hpp